# set_BFP

Set basis factorization package.

unsigned char set_BFP(lprec *lp, char *filename);

Return Value

set_BFP returns TRUE if the call has succeeded, else FALSE.

Parameters

lp

Pointer to previously created lp model. See return value of make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI

filename

The name of the BFP package. Currently following BFPs are implemented:

"bfp_etaPFI" | original lp_solve product form of the inverse.
"bfp_LUSOL" | LU decomposition.
"bfp_GLPK" | GLPK LU decomposition.
NULL | The default BFP package.

However the user can also build his own BFP packages ...

Remarks

The set_BFP function sets the basis factorization package (BFP). See Basis Factorization Packages for a complete description on BFPs.

Example

    #include <stdio.h>
    #include <stdlib.h>
    #include "lp_lib.h"

    int main(void)
    {
      lprec *lp;

      /* Create a new LP model */
      lp = make_lp(0, 0);
      if(lp == NULL) {
        fprintf(stderr, "Unable to create new LP model\n");
        return(1);
      }

      set_BFP(lp, "bfp_LUSOL");

      delete_lp(lp);
      return(0);
    }

lp_solve API reference

See Also make_lp, copy_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI, has_BFP, is_nativeBFP